LFS Version 6.2 - 8.4. Making the LFS System Bootable

Brandon Peirce brandon_peirce at hotmail.com
Tue Aug 22 19:17:07 PDT 2006


Wang, Baojun wrote:
>
>     Does LFS 6.2 require kernel 2.6.16? if not, you can copy a config 
>file(usally /boot/config-2.6.x-xxx) to override the .config file under 
>linux source tree then rebuild the kernel.
>
>     here is the .config file for linux 2.6.15 modify very small from 
>ubuntu 6.06 LTS:

Unless you have a lot of experience it is much safer to stick to the version 
in the book.
The versions of packages given in the book are tested to work together.  If 
you run into problems with a different version and ask for help, you are 
likely to get the answer to first try the correct version....

The good news is that if you have a config file from 2.6.15 that works for 
your system, you can use that as a starting point to configure your LFS 
2.6.16.27 kernel.  It should have suitable drivers for your hardware.  But 
you cannot use it just as it is.

What you have to do is first apply the patch and do make mrproper like in 
the book. Then copy your existing config file to .config in the kernel 
source tree like you describe, and then run make oldconfig instead of make 
menuconfig.

Make oldconfig will regenerate the .config file, but it keeps all the same 
settings you had in the old one unless they are incompatible with the actual 
version of the kernel sources you are using.  It will prompt you only if 
there are new options in the kernel that don't exist in you old config file.

Brandon





More information about the lfs-support mailing list